Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 18 Nov 2019, 18:25
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Projects
DebianDog - Wheezy
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 98 of 99 [1481 Posts]   Goto page: Previous 1, 2, 3, ..., 96, 97, 98, 99 Next
Author Message
sindi

Joined: 16 Aug 2009
Posts: 975
Location: Ann Arbor MI USA

PostPosted: Mon 22 Apr 2019, 16:38    Post subject: broadcom bcm4311 wl firmware solutions  

There are other solutions besides downloading devx and learning to compile in Debian. The first two work already.

1. Use lupu2016 with wl - someone said there is a Palemoon28 pet, and the youtube-viewer pet works at 720p.
(Or even use Win7 if you like daily updates).

2. Use debiandog with ethernet cable.

3. ndiswrapper - is DebianDog set up for that like the puppies are?

4. Change mini-PCI wifi cards. I have two from 2009 and many older ones.

5. Use rtl8180 USB wifi card ($1.50 from China on ebay), with linux modules or ndiswrapper

Apparently puppy provides non-free firmware and Debian does not. Can I copy it from lupu?
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 4159
Location: holland

PostPosted: Mon 22 Apr 2019, 17:21    Post subject:  

sindi wrote:
There are other solutions besides downloading devx and learning to compile in Debian

I will try to make a deb package for the wl driver this week, is it pae or no-pae kernel you run?

Quote:
ndiswrapper - is DebianDog set up for that like the puppies are?

Don't really know, maybe best to do a websearch for that.

Quote:
Apparently puppy provides non-free firmware and Debian does not


Debian does provide non-free if it's set in the sources.list (main contrib non-free) like you have already.
the ipw2xxx package is also non-free, btw.
The need for to compile the wl driver is an exception AFAIK.
EDIT: Probably cannot copy wl driver from Lupu, because of different kernel.

Fred

_________________
Dog Linux website
Tinylinux blog by wiak
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 975
Location: Ann Arbor MI USA

PostPosted: Wed 24 Apr 2019, 12:06    Post subject: wl driver for jessie (and wheezy); framebuffer console  

Many thanks in advance for providing the wl driver (for jessie and wheezy kernels).
I have three spare Broadcom cards that use it.

My partner requests a suspend. A method that works in lupu turned the screen black (suspended?) but would not come alive
again (on the DELL 600M, which does not reboot or power off just halts). echo mem > /sys/power/state. What is 'lock'?

Jessie has framebuffer console (fbcon), confirmed by testing with fbi framebuffer viewer.

http://keesan.freeshell.org/puppy/fbida-newer.tgz package includes required libraries that lupu has but jessie does not.
/usr/local/bin and /usr/lib or anywhere else on the path.

I copied over lynx with required files and set lynx.cfg to use fbi as a viewer, and mplayer for mp3s.
Ask me if you want a lynx package with lynx.cfg, .lynxrc, lynx.lss, cert.pem, and lynx itself.

I now have it viewing a 2-day graphical weather forecast with fbi.

http://keesan.freeshell.org/puppy/radio2019.tgz has scripts for classical stations that still provide streamable mp3s.

So I do not understand why there is no framebuffer console in jessie on my HP dv6500, when lupu and puppies 4 have it.
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 4159
Location: holland

PostPosted: Wed 24 Apr 2019, 14:05    Post subject:  

Hi sindi, here's broadcom-wl deb package for Jessie-pae kernel 3.16.0-4-686-pae:
https://dl.dropboxusercontent.com/s/glauqa10bh4pozu/broadcom-wl_1.0.0_3.16.0-4-686-pae_i386.deb?dl=1

After install a reboot with changes saved will make it load, or load directly with:
Code:
modprobe wl

I can't test if this really works as it should, let me know if it does or not and I'll make one more, just tell me which one, Wheezy or Jessie, (and pae or no-pae)

Cannot answer about framebuffer console, hopefully someone else can.

Fred

_________________
Dog Linux website
Tinylinux blog by wiak
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 975
Location: Ann Arbor MI USA

PostPosted: Wed 24 Apr 2019, 20:54    Post subject: wl for Jessie  

Sorry I forgot to answer that I am using the non-pae Jessie from 2015.

This HP dv5000 laptop can handle a PAE kernel (though it takes 2GB max RAM)

My 2007 HP dv6500 laptop with non-working framebuffer console has Nvidia Go 8400M GS graphics chip.

My DELL 1521 (also from 2007) may have the same chip. It is running Win7 now.

A site offers Windows drivers close to 300MB and a 33MB 'run' file for linux.
I think I would need to compile the driver for it. I tried in puppy and failed.
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 4159
Location: holland

PostPosted: Thu 25 Apr 2019, 02:50    Post subject:  

Hi sindi, here's non-pae Jessie broadcom-wl package:
https://dl.dropboxusercontent.com/s/cblki5vom6lm2j1/broadcom-wl_1.0.0_3.16.0-4-586_no-pae_i386.deb?dl=1

Fred

_________________
Dog Linux website
Tinylinux blog by wiak
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 975
Location: Ann Arbor MI USA

PostPosted: Thu 25 Apr 2019, 20:09    Post subject: PAE Jessie 2016 on 2006 HP DV5000 works, no wl yet  

Since you provided a PAE wl package, I installed the 2016 PAE jessie.
It works very nicely. Correct sources.list, working gtk-youtube-viewer and updateable youtube-dl (from 2016 to 2017). Python included already. Firefox 24 ESR said it was up-to-date. I ran an ESR version which updated itself to 60 ESR, which lupu and wheezy could not run.

PAE is not helpful with 2GB RAM but there is no other choice. 32-bit hardware.

synclient VertEdgeScroll=1 works. (Why is it not a default?).

I am not used to openbox and found no way to reboot without a mouse.

Alt-D toggles browser/desktop instead of letting me enter URL. Fixable

dpkg -i the wl firmware. Lots of /lib/firmware/wl*fw files now
But no wireless connection. What did I omit? I rebooted. apt-get -f install (nothing was updated/installed). I may wait on the non-pae firmware until this version works.

BBC Classical and Classical radio stations sounded like rock to me.


gtk-youtube-viewer works repeatedly. (In the 2015 debiandogs it works once then you have to exit and restart). 360p is default

youtube-viewer has something above 720p as default.

youtube in a browser (pale moon?) has no sound.

Sometimes when I click on something nothing happens for instance in a browser, until I exit and start over. Sometimes menu (lower left) does not work. ??

I see ipw2x00 firmware. Many or most of my laptops with that card (2003-2004) are non-pae and take 1-2GB max RAM. I will attempt to force pae during boot.
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 4159
Location: holland

PostPosted: Fri 26 Apr 2019, 02:28    Post subject:  

sindi wrote:
dpkg -i the wl firmware. Lots of /lib/firmware/wl*fw files now
But no wireless connection. What did I omit? I rebooted. apt-get -f install (nothing was updated/installed). I may wait on the non-pae firmware until this version works.


Oops... gets confusing now, I posted above broadcom-wl packages for Jessie JWM version, non-pae and pae, because I thought you use JWM version, now you switched to openbox 2016 version which btw, you shouldn't edit sources.list, it's fine as it is pointing to 'dog' repo on github.
apt-get -f install is only useful if a package has dependencies that are missing (which are forced to install then)
The JWM version from saintless here has choice for pae and non-pae, I compilled the broadcom-wl packages on these.
EDIT: Did you check with lsmod if wl is loaded ?

Fred

_________________
Dog Linux website
Tinylinux blog by wiak
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 975
Location: Ann Arbor MI USA

PostPosted: Fri 26 Apr 2019, 05:05    Post subject: non pae wl  

2016 jessie says suspend works
and it has useful things added
like python and youtube-viewer,
and correct sources.list and
can save to directory instead
of a file. so i tried it with
the pae wl. i read that pae is
1-5% slower.

wheezy ssh sftp work when copied
over. i do not need 5 mb of
servers from the package

terminal has smaller font. many
improvements.

i don't need low ram mode, which
i do not see in 2016 jessie,
in this laptop wirh 2gb, but
i have laptops with 512mb and
will see what i can omit. in
lupu i kill rox filer etc.

how does memory usage compare between 2015 and 2016 versions?.

i thought 2016 has the same
kernel as 2015 jwm pae jessie so
same firmware and driver module.

modprobe wl did not help, or reboot.
wl loads but frisbee sees no wifi.

b43 should also work but did not
though the module loaded.

rmmod b43 did not make wl work.

2016 jessie comes with iwl firmware.

i also tried nonpae 2015 jwm jessie, which does not have
the firmware.

your wl package contains updated
wl.ko only nothing else
dpkg-deb -c shows contents
Back to top
View user's profile Send private message 
zagreb999

Joined: 11 Apr 2014
Posts: 519
Location: Yugoslavija

PostPosted: Fri 26 Apr 2019, 05:46    Post subject:  

regards sindi

why do not you use debiandog by fred,
it works perfectly?
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 975
Location: Ann Arbor MI USA

PostPosted: Fri 26 Apr 2019, 06:44    Post subject: fred's debiandog is 2016 version  

the 2016 pae jessie is by Fred.
it has wl firmware. i always
try the oldest versions first
since they often use less ram
and support my older hardware.

is a lot of older computer hardware still
in use in Yugoslavia?

Zivela sam godinu dana u
Beogradu pre da ji bilo
kompjutera.
Back to top
View user's profile Send private message 
fredx181


Joined: 11 Dec 2013
Posts: 4159
Location: holland

PostPosted: Fri 26 Apr 2019, 17:01    Post subject:  

sindi wrote:
i thought 2016 has the same
kernel as 2015 jwm pae jessie so
same firmware and driver module.


Yes, I think you are right, so probably makes no difference.

Quote:
modprobe wl did not help, or reboot.
wl loads but frisbee sees no wifi.

That's a pity, I have no clue what's the reason. as I said, can't test it.

Quote:
how does memory usage compare between 2015 and 2016 versions?.


Openbox + Xfce components use more RAM than JWM, but for me it runs smoothly.

Quote:
your wl package contains updated
wl.ko only nothing else
dpkg-deb -c shows contents


Yes, that's all needed (made by broadcom-sta-dkms), there were earlier reports (I think from Debiandog 64-bit thread) that it works well this way.

Fred

_________________
Dog Linux website
Tinylinux blog by wiak
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 975
Location: Ann Arbor MI USA

PostPosted: Fri 26 Apr 2019, 22:01    Post subject: bcm4311 wl on DELL Inspiron 1521 same problem as dv5000  

2007 DELL Inspiron 1521 has bcm4311 wifi chip.

Lupu525 and Wary 5.5 use b43, which works.

Lupu2016 uses wl, which does NOT work, and there are error messages during boot about a tainted kernel. MIXED/Proprietary module. wlan drivers failed with code 21. Kernel BUG... Lupu2016 failed to shut down. HDA Intel...disabled.

Jessie 2015 automatically loads b43 (same as on the HP dv5000) but Frisbee finds no wifi connection. I did not try wl.ko, or 2016 Jessie.

It looks like earlier kernels work with b43 and this chip, while the 2.6 kernel used by lupu2016 and the kernel used by Jessie have a bug and do not work with wl or b43. (I thought wl worked with lupu2016 on the HP dv5000).

Anyone know how to use ndiswrapper in Debian? I will try it in lupu2016.

The ethernet cable works but does not reach to the right side of the DELL. My partner who owns the place runs long cables from the router in the basement directly upstairs instead of having ethernet ports. Wifi would be nice.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 975
Location: Ann Arbor MI USA

PostPosted: Fri 26 Apr 2019, 22:13    Post subject: ndiswrapper in Debian Jessie  

apt-get install wireless-tools and ndiswrapper-utils-1.9
and then compile the ndiswrapper module.

I downloaded the zip file for bcm43xx XP driver.

Puppy is easier.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 975
Location: Ann Arbor MI USA

PostPosted: Fri 26 Apr 2019, 22:27    Post subject: 2008 XP driver for bcm43xx failed in lupu2016 w/ndiswrapper  

As stated in the subject line. Will look for a later driver. The laptop was working with Vista but I deleted Vista.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 98 of 99 [1481 Posts]   Goto page: Previous 1, 2, 3, ..., 96, 97, 98, 99 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Projects
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1435s ][ Queries: 12 (0.0943s) ][ GZIP on ]